"""Tags personnalisés pour les templates d'authentification.

Ce fichier contient des tags personnalisés pour les templates du projet lié à
la gestion de l'accès des utilisateurs aux différentes pages.
"""

from django import template

register = template.Library()

@register.filter
def has_group(user, group_name):
    """Vérifiez si un utilisateur appartient à un groupe spécifique."""
    return user.groups.filter(name=group_name).exists()
